LibreOffice: XLayerImporter Interface Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XLayerImporter Interface Referencepublished

allows importing a layer into a Backend More...

Inheritance diagram for XLayerImporter:

## Public Member Functions
XBackend | getTargetBackend ()
| gets the target backend for importing.
void | setTargetBackend ([in] XBackend aBackend) raises (com::sun::star::lang::NullPointerException)
| sets the target backend for importing.
void | importLayer ([in] XLayer aLayer) raises (MalformedDataException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::NullPointerException, com::sun::star::lang::WrappedTargetException)
| Imports the layer given into the backend.
void | importLayerForEntity ([in] XLayer aLayer, [in] string aEntity) raises (MalformedDataException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::NullPointerException, com::sun::star::lang::WrappedTargetException)
| Imports the layer given into the backend for a given entity.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

allows importing a layer into a Backend

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ getTargetBackend()

XBackend getTargetBackend | ( |  | ) |

gets the target backend for importing.

Returns
  the Backend into which layers are imported by XLayerImporter::importLayer().

## ◆ importLayer()

void importLayer | ( | [in] XLayer | aLayer | ) |
raises | ( | MalformedDataException,
|  | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::lang::NullPointerException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

Imports the layer given into the backend.

This method imports data for the current entity of the backend.

Parameters

  aLayer | a layer whose data will be imported into the backend

Exceptions

  com::sun::star::lang::NullPointerException | if the layer passed is `NULL` or no backend is available.
  com::sun::star::configuration::backend::MalformedDataException | if the layer passed is invalid
  com::sun::star::lang::IllegalArgumentException | if the layer passed is for a component that doesn't exist in the backend
  com::sun::star::lang::WrappedTargetException | if an error occurs in the backend or source layer.

See also
  com::sun::star::configuration::backend::XBackend::getOwnUpdateHandler()

## ◆ importLayerForEntity()

void importLayerForEntity | ( | [in] XLayer | aLayer,
|  | [in] string | aEntity
| ) |  |
raises | ( | MalformedDataException,
|  | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::lang::NullPointerException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

Imports the layer given into the backend for a given entity.

This method imports data for the current entity of the backend.

Parameters

  aLayer | a layer whose data will be imported into the backend
  aEntity | an entity into whose data the layer will be imported

Exceptions

  com::sun::star::lang::NullPointerException | if the layer passed is `NULL` or no backend is available.
  com::sun::star::configuration::backend::MalformedDataException | if the layer passed is invalid
  com::sun::star::lang::IllegalArgumentException | if the layer passed is for a component that doesn't exist in the backend or if the entity doesn't exist in the backend.
  com::sun::star::lang::WrappedTargetException | if an error occurs in the backend or source layer.

See also
  com::sun::star::configuration::backend::XBackend::getUpdateHandler()

## ◆ setTargetBackend()

void setTargetBackend | ( | [in] XBackend | aBackend | ) |
raises | ( | com::sun::star::lang::NullPointerException
| ) |  |

sets the target backend for importing.

Parameters

  aBackend | a Backend into which layers should be imported by XLayerImporter::importLayer().

Exceptions

  com::sun::star::lang::NullPointerException | if the backend passed is `NULL`.

The documentation for this interface was generated from the following file:

- com/sun/star/configuration/backend/XLayerImporter.idl